> For the complete documentation index, see [llms.txt](https://docs.squidrouter.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.squidrouter.com/additional-resources/additional-dev-resources/sdk-easter-eggs/advanced-set-up.md).

# Advanced set up

To get started you will need to instantiate and configure the Squid SDK:

```typescript
const Squid = new Squid(config)
```

The optional `config` parameter can be used to pass custom configuration to the SDK:

```typescript
type Config = {
  apiKey?: string
  baseUrl?: string
  executionSettings?: {
    infiniteApproval?: boolean
  }
}
```

| Property                           | Description                                                                                                                                       |
| ---------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------- |
| apiKey                             | *API KEY* to have access to *Squid API* (not implemented yet)                                                                                     |
| baseUrl                            | Set the *Squid API URL*, this should be used to set the *environment*                                                                             |
| executionSettings                  | Customize *executeRoute* method behavior                                                                                                          |
| executionSettings.infiniteApproval | Set to *false* if you only want to approve the specific amount of tokens to be send in the *executedRoute* method. (infinite approval as default) |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.squidrouter.com/additional-resources/additional-dev-resources/sdk-easter-eggs/advanced-set-up.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
